Bug 1313494 - gecode-4.4.0 on EPEL6
gecode-4.4.0 on EPEL6
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: gecode (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Julian C. Dunn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-01 12:23 EST by Antonio Trande
Modified: 2016-06-20 23:18 EDT (History)
1 user (show)

See Also:
Fixed In Version: gecode-4.4.0-12.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-20 23:18:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gecode spec file (7.07 KB, text/plain)
2016-05-30 12:12 EDT, Antonio Trande
no flags Details

  None (edit)
Description Antonio Trande 2016-03-01 12:23:06 EST
Description of problem:

Is it possible rebuild gecode-4.4.0 on EPEL6?
Comment 1 Julian C. Dunn 2016-03-02 10:59:48 EST
It's somewhat risky because the C++ compiler (GCC/G++ 4.4.7) on EL6 doesn't officially support the C++ standard level that gecode needs, but I'm willing to give it a shot with -std=c++0x
Comment 2 Antonio Trande 2016-03-08 17:33:17 EST
This spec file is ready to build gecode on epel6:
https://sagitter.fedorapeople.org/gecode.spec

Unfortunately, tests are failed both fedora and epel.
Comment 3 Antonio Trande 2016-03-09 06:30:24 EST
Attempt to contact mantainer again.
Comment 4 Julian C. Dunn 2016-05-29 21:57:51 EDT
Hi, sorry for the delay in getting to this. I was able to incorporate your patch onto EPEL6 x86_64 and i686 but ppc64 won't build. https://kojipkgs.fedoraproject.org//work/tasks/5724/14305724/build.log
Comment 5 Antonio Trande 2016-05-30 11:40:36 EDT
./gecode/third-party/boost/...

Gecode provides its own Boost header files. I tried to unbundle Boost but does not compile neither on Fedora and EPEL.
--with-boost-include options look useless too.

http://koji.fedoraproject.org/koji/taskinfo?taskID=14313662
Comment 6 Antonio Trande 2016-05-30 12:12 EDT
Created attachment 1162911 [details]
gecode spec file

http://koji.fedoraproject.org/koji/taskinfo?taskID=14314029
Comment 7 Julian C. Dunn 2016-05-30 14:51:09 EDT
If I understand what you are doing here, you are vendoring Boost? (or at least not overriding upstream's vendoring of Boost?) Won't we need a FPC exception for that?
Comment 8 Antonio Trande 2016-05-30 15:44:10 EDT
(In reply to Julian C. Dunn from comment #7)
> If I understand what you are doing here, you are vendoring Boost? (or at
> least not overriding upstream's vendoring of Boost?)

I tried to not use ./gecode/third-party/boost/* files during build without success. I don't know, maybe gecode works with its own boost files only.

(In reply to Julian C. Dunn from comment #7)
> Won't we need a FPC exception for that?

Well, I do not guess. 
http://fedoraproject.org/wiki/Packaging:Guidelines#Bundling_and_Duplication_of_system_libraries
Comment 9 Antonio Trande 2016-05-30 15:50:19 EDT
(In reply to Julian C. Dunn from comment #4)
> Hi, sorry for the delay in getting to this. I was able to incorporate your
> patch onto EPEL6 x86_64 and i686 but ppc64 won't build.
> https://kojipkgs.fedoraproject.org//work/tasks/5724/14305724/build.log

About this, you are patching on el6 too, where GCC6 is not used:

Patch #1 (gecode-4.4.0-gcc6.patch):
+ echo 'Patch #1 (gecode-4.4.0-gcc6.patch):'
+ /bin/cat /builddir/build/SOURCES/gecode-4.4.0-gcc6.patch
+ /usr/bin/patch -p1 -b --suffix .gcc6 --fuzz=0
patching file gecode/third-party/boost/numeric/interval/detail/ppc_rounding_control.hpp
Comment 10 Julian C. Dunn 2016-05-30 18:55:54 EDT
(In reply to Antonio Trande from comment #9)
> (In reply to Julian C. Dunn from comment #4)
> > Hi, sorry for the delay in getting to this. I was able to incorporate your
> > patch onto EPEL6 x86_64 and i686 but ppc64 won't build.
> > https://kojipkgs.fedoraproject.org//work/tasks/5724/14305724/build.log
> 
> About this, you are patching on el6 too, where GCC6 is not used:
> 
> Patch #1 (gecode-4.4.0-gcc6.patch):
> + echo 'Patch #1 (gecode-4.4.0-gcc6.patch):'
> + /bin/cat /builddir/build/SOURCES/gecode-4.4.0-gcc6.patch
> + /usr/bin/patch -p1 -b --suffix .gcc6 --fuzz=0
> patching file
> gecode/third-party/boost/numeric/interval/detail/ppc_rounding_control.hpp

Alright, yes, that was it. We are good to go now. https://koji.fedoraproject.org/koji/taskinfo?taskID=14319134
Comment 11 Fedora Update System 2016-05-30 19:00:11 EDT
gecode-4.4.0-12.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-cbac532e3e
Comment 12 Fedora Update System 2016-05-31 16:17:26 EDT
gecode-4.4.0-12.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-cbac532e3e
Comment 13 Fedora Update System 2016-06-20 23:18:29 EDT
gecode-4.4.0-12.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.